/**
 * 图片查看，展示效果依赖layer
 * author: lucius
 */
Vue.directive('show-img', {
    update: function (el, binding, vnode) {
        var $el = $(el);
        var src = $el.attr("src");
        var json = {
            "title": "", //相册标题
            "id": "automobile_photo", //相册id
            "start": 0, //初始显示的图片序号，默认0
            "data": [   //相册包含的图片，数组格式
                {
                    "alt": "",
                    "pid": Math.random(), //图片id
                    "src": src, //原图地址
                    "thumb": src //缩略图地址
                }
            ]
        };

        $el.bind("click", function (e) {
            layer.photos({
                photos: json
                ,anim: 0 //0-6的选择，指定弹出图片动画类型，默认随机（请注意，3.0之前的版本用shift参数）
            });
        });
    }
});